#!/usr/bin/env ruby

print"うるう年を判断します。\n"
print"西暦を入力してください。\n"
seireki = gets.chomp.to_i

if seireki % 4 == 0 && seireki % 100 != 0
  printf("%dはうるう年です。\n",seireki)
else
  printf("%dはうるう年ではありません。\n",seireki)
end
